# sys_sem Struct Reference

## Data Fields

unsigned int | c
ubthread_cond_t | cond
ubthread_mutex_t | mutex

## Detailed Description

Definition at line 115 of file sys_arch.c.

## Field Documentation

unsigned int sys_sem::c

Definition at line 116 of file sys_arch.c.

Referenced by sys_arch_sem_wait(), sys_sem_new_(), and sys_sem_signal().

ubthread_cond_t sys_sem::cond

Definition at line 117 of file sys_arch.c.

Referenced by sys_arch_sem_wait(), sys_sem_free_(), sys_sem_new_(), and sys_sem_signal().

ubthread_mutex_t sys_sem::mutex

Definition at line 118 of file sys_arch.c.

Referenced by sys_arch_sem_wait(), sys_sem_free_(), sys_sem_new_(), and sys_sem_signal().

The documentation for this struct was generated from the following file:

- src/sys/net/net/sys_arch.c